﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Linq;

using Microsoft.VisualStudio.WebHost;
using System.IO;

namespace MiniIIS40
{
    public partial class Form1 : Form
    {
        Server server;
        string virtureDir = "/";
        string phyicalDir = string.Empty;
        int port = 8001;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            phyicalDir = AppDomain.CurrentDomain.BaseDirectory;

            server = new Server(port, virtureDir, phyicalDir);

            try
            {
                server.Start();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
                server.Stop();
            }


            string[] defaultDocs = new string[]{
                "default.aspx", "default.html", "default.htm",
                "index.aspx", "index.html", "index.htm"
            };

            DirectoryInfo rootDir = new DirectoryInfo(phyicalDir);

            string[] fileNames = (from f in rootDir.GetFiles()
                                 select f.Name.ToLower())
                                 .ToArray();

            foreach (var doc in defaultDocs)
            {
                if (fileNames.Contains(doc))
                {
                    webBrowser1.Url = new Uri(
                        string.Format("http://127.0.0.1:{0}/{1}", port, doc));
                    break;
                }
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            server.Stop();
        }
    }
}
